doinst () 
{ 
    rm -f usr/bin/htmlview;
    cat  > usr/bin/htmlview <<EOF
#!/bin/sh
exec xdg-open "\$@"
EOF

    chmod 755 usr/bin/htmlview;
    if [ ! -f etc/rc.d/rc.keymap ]; then
        echo "#!/bin/sh" > etc/rc.d/rc.keymap;
        echo "# Load the keyboard map.  More maps are in /usr/share/kbd/keymaps." >> etc/rc.d/rc.keymap;
        echo "if [ -x /usr/bin/loadkeys ]; then" >> etc/rc.d/rc.keymap;
        echo " /usr/bin/loadkeys -u us.map" >> etc/rc.d/rc.keymap;
        echo "fi" >> etc/rc.d/rc.keymap;
        chmod 755 etc/rc.d/rc.keymap;
    fi;
    if [ -f etc/gamin/gaminrc ]; then
        sed -i "s/poll 15/kernel/" etc/gamin/gaminrc;
    fi;
    ( cd etc/ppp;
    ln -sf ../resolv.conf resolv.conf );
    sed -i "s/^#server \(.*\) iburst/server \1 iburst/" etc/ntp.conf;
    if [ -r etc/rc.d/rc.acpid ]; then
        chmod +x etc/rc.d/rc.acpid;
    fi;
    if [ -r etc/rc.d/rc.alsa ]; then
        chmod -x etc/rc.d/rc.alsa;
    fi;
    if [ -r etc/rc.d/rc.alsa-oss ]; then
        chmod -x etc/rc.d/rc.alsa-oss;
    fi;
    if [ -r etc/rc.d/rc.atalk ]; then
        chmod -x etc/rc.d/rc.atalk;
    fi;
    if [ -r etc/rc.d/rc.autofs ]; then
        chmod -x etc/rc.d/rc.autofs;
    fi;
    if [ -r etc/rc.d/rc.bind ]; then
        chmod -x etc/rc.d/rc.bind;
    fi;
    if [ -r etc/rc.d/rc.bluetooth ]; then
        chmod +x etc/rc.d/rc.bluetooth;
    fi;
    if [ -r etc/rc.d/rc.cgconfig ]; then
        chmod -x etc/rc.d/rc.cgconfig;
    fi;
    if [ -r etc/rc.d/rc.cgmanager ]; then
        chmod +x etc/rc.d/rc.cgmanager;
    fi;
    if [ -r etc/rc.d/rc.cgproxy ]; then
        chmod +x etc/rc.d/rc.cgproxy;
    fi;
    if [ -r etc/rc.d/rc.cgred ]; then
        chmod -x etc/rc.d/rc.cgred;
    fi;
    if [ -r etc/rc.d/rc.consolekit ]; then
        chmod +x etc/rc.d/rc.consolekit;
    fi;
    if [ -r etc/rc.d/rc.cpufreq ]; then
        chmod +x etc/rc.d/rc.cpufreq;
    fi;
    if [ -r etc/rc.d/rc.cups ]; then
        chmod +x etc/rc.d/rc.cups;
    fi;
    if [ -r etc/rc.d/rc.cups-browsed ]; then
        chmod -x etc/rc.d/rc.cups-browsed;
    fi;
    if [ -r etc/rc.d/rc.dnsmasq ]; then
        chmod -x etc/rc.d/rc.dnsmasq;
    fi;
    if [ -r etc/rc.d/rc.fuse ]; then
        chmod +x etc/rc.d/rc.fuse;
    fi;
    if [ -r etc/rc.d/rc.httpd ]; then
        chmod -x etc/rc.d/rc.httpd;
    fi;
    if [ -r etc/rc.d/rc.inet1 ]; then
        chmod +x etc/rc.d/rc.inet1;
    fi;
    if [ -r etc/rc.d/rc.inet2 ]; then
        chmod +x etc/rc.d/rc.inet2;
    fi;
    if [ -r etc/rc.d/rc.inetd ]; then
        chmod +x etc/rc.d/rc.inetd;
    fi;
    if [ -r etc/rc.d/rc.ip_forward ]; then
        chmod -x etc/rc.d/rc.ip_forward;
    fi;
    if [ -r etc/rc.d/rc.keymap ]; then
        chmod +x etc/rc.d/rc.keymap;
    fi;
    if [ -r etc/rc.d/rc.local ]; then
        chmod -x etc/rc.d/rc.local;
    fi;
    if [ -r etc/rc.d/rc.loop ]; then
        chmod +x etc/rc.d/rc.loop;
    fi;
    if [ -r etc/rc.d/rc.lxc ]; then
        chmod -x etc/rc.d/rc.lxc;
    fi;
    if [ -r etc/rc.d/rc.mcelog ]; then
        chmod +x etc/rc.d/rc.mcelog;
    fi;
    if [ -r etc/rc.d/rc.messagebus ]; then
        chmod +x etc/rc.d/rc.messagebus;
    fi;
    if [ -r etc/rc.d/rc.modules ]; then
        chmod +x etc/rc.d/rc.modules;
    fi;
    if [ -r etc/rc.d/rc.modules.local ]; then
        chmod +x etc/rc.d/rc.modules.local;
    fi;
    if [ -r etc/rc.d/rc.mysqld ]; then
        chmod -x etc/rc.d/rc.mysqld;
    fi;
    if [ -r etc/rc.d/rc.networkmanager ]; then
        chmod -x etc/rc.d/rc.networkmanager;
    fi;
    if [ -r etc/rc.d/rc.nfsd ]; then
        chmod -x etc/rc.d/rc.ntpd;
    fi;
    if [ -r etc/rc.d/rc.ntpd ]; then
        chmod +x etc/rc.d/rc.ntpd;
    fi;
    if [ -r etc/rc.d/rc.pcmcia ]; then
        chmod -x etc/rc.d/rc.pcmcia;
    fi;
    if [ -r etc/rc.d/rc.php-fpm ]; then
        chmod -x etc/rc.d/rc.php-fpm;
    fi;
    if [ -r etc/rc.d/rc.pulseaudio ]; then
        chmod -x etc/rc.d/rc.pulseaudio;
    fi;
    if [ -r etc/rc.d/rc.rpc ]; then
        chmod -x etc/rc.d/rc.rpc;
    fi;
    if [ -r etc/rc.d/rc.samba ]; then
        chmod -x etc/rc.d/rc.samba;
    fi;
    if [ -r etc/rc.d/rc.saslauthd ]; then
        chmod -x etc/rc.d/rc.saslauthd;
    fi;
    if [ -r etc/rc.d/rc.sendmail ]; then
        chmod -x etc/rc.d/rc.sendmail;
    fi;
    if [ -r etc/rc.d/rc.serial ]; then
        chmod -x etc/rc.d/rc.serial;
    fi;
    if [ -r etc/rc.d/rc.snmpd ]; then
        chmod -x etc/rc.d/rc.snmpd;
    fi;
    if [ -r etc/rc.d/rc.sshd ]; then
        chmod +x etc/rc.d/rc.sshd;
    fi;
    if [ -r etc/rc.d/rc.syslog ]; then
        chmod +x etc/rc.d/rc.syslog;
    fi;
    if [ -r etc/rc.d/rc.sysstat ]; then
        chmod -x etc/rc.d/rc.sysstat;
    fi;
    if [ -r etc/rc.d/rc.sysvinit ]; then
        chmod +x etc/rc.d/rc.sysvinit;
    fi;
    if [ -r etc/rc.d/rc.udev ]; then
        chmod +x etc/rc.d/rc.udev;
    fi;
    if [ -r etc/rc.d/rc.ulogd ]; then
        chmod +x etc/rc.d/rc.ulogd;
    fi;
    if [ -r etc/rc.d/rc.wireless ]; then
        chmod +x etc/rc.d/rc.wireless;
    fi;
    if [ -r etc/rc.d/rc.yp ]; then
        chmod -x etc/rc.d/rc.yp;
    fi;
    rm -f etc/X11/xinit/xinitrc
}
doinst
